Swap saved object references

Base URL
https://{kibana_url}
  • POST /api/data_views/swap_references
  • POST /s/{space_id}/api/data_views/swap_references
Auth

Swap saved object references from one data view to another. Use this endpoint to update dashboards, visualizations, and other saved objects that reference a data view. WARNING: Misuse can break large numbers of saved objects! Use the _preview endpoint to see which saved objects would be affected before making changes.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

delete boolean

Deletes referenced saved object if all references are removed.

forId union string | string[]

Limit the affected saved objects to one or more by identifier.

forType string

Limit the affected saved objects by type.

fromId string required

The saved object reference to change.

fromType string

Specify the type of the saved object reference to alter. The default value is index-pattern for data views.

toId string required

New saved object reference value to replace the old value.

Response

Indicates a successful call.

application/json
deleteStatus object
deletePerformed boolean
remainingRefs integer
result object[]
id string

A saved object identifier.

type string

The saved object type.

Base URL
https://{kibana_url}